// Copyright 2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Users/Omni/bungi/Library/TimCVS/Tim/Altivec/Julia/OmniJulia/clut.h,v 1.2 2000/10/15 02:23:17 bungi Exp $


//
// The alpha component here really isn't used.  It is just that the hardware that I'm testing
// this on has a frame buffer that (at least in 640x480x24) actually 32-bit aligns pixels.
// The version of MacOS X that this is being tested on doesn't optimized the 24->32 bit conversion
// so we want the source image to actually have 32 bpp.
//

typedef struct _color {
    unsigned char r, g, b, a;
} color_t;

extern color_t clutTable[][256];
extern unsigned int clutCount;